/*
#=============================================================================
#																			   
#			Copyright (c) 2009 Origin Enterprise Solution LTD.		   
#																			   
#=============================================================================
# File name: PackFailDownInfo.java
# File description: 										   	
#=============================================================================
#	Date		Name		Action	Description of Change					   
#	2011-4-20	liqz	  	Ini		³υΚΌ»―(From Shaangu)										   
#=============================================================================
*/
package cn.com.customization.util;

import com.teamcenter.rac.kernel.TCComponentDataset;
import com.teamcenter.rac.kernel.TCComponentItemRevision;

public class PackFailDownInfo {
	private TCComponentItemRevision  itemRev=null;
	private  String  itemId;
	private  String  rev;
	private  String  datasetName;
	private  String  reference_file;
	private TCComponentDataset  dataSet;
	private  String filePath="";
	private  String  reason="";
	private  String owner="";
	private  String  needDown="false";
	/**
	 * @return the owner
	 */
	public String getOwner() {
		return owner;
	}
	/**
	 * @return the itemRev
	 */
	public TCComponentItemRevision getItemRev() {
		return itemRev;
	}
	/**
	 * @param itemRev the itemRev to set
	 */
	public void setItemRev(TCComponentItemRevision itemRev) {
		this.itemRev = itemRev;
	}
	/**
	 * @param owner the owner to set
	 */
	public void setOwner(String owner) {
		this.owner = owner;
	}
	/**
	 * @return the itemId
	 */
	public String getItemId() {
		return itemId;
	}
	/**
	 * @param itemId the itemId to set
	 */
	public void setItemId(String itemId) {
		this.itemId = itemId;
	}
	/**
	 * @return the rev
	 */
	public String getRev() {
		return rev;
	}
	/**
	 * @param rev the rev to set
	 */
	public void setRev(String rev) {
		this.rev = rev;
	}
	/**
	 * @return the datasetName
	 */
	public String getDatasetName() {
		return datasetName;
	}
	/**
	 * @param datasetName the datasetName to set
	 */
	public void setDatasetName(String datasetName) {
		this.datasetName = datasetName;
	}
	/**
	 * @return the reference_file
	 */
	public String getReference_file() {
		return reference_file;
	}
	/**
	 * @param reference_file the reference_file to set
	 */
	public void setReference_file(String reference_file) {
		this.reference_file = reference_file;
	}
	/**
	 * @return the dataSet
	 */
	public TCComponentDataset getDataSet() {
		return dataSet;
	}
	/**
	 * @param dataSet the dataSet to set
	 */
	public void setDataSet(TCComponentDataset dataSet) {
		this.dataSet = dataSet;
	}
	/**
	 * @return the filePath
	 */
	public String getFilePath() {
		return filePath;
	}
	/**
	 * @param filePath the filePath to set
	 */
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	/**
	 * @return the reason
	 */
	public String getReason() {
		return reason;
	}
	/**
	 * @param reason the reason to set
	 */
	public void setReason(String reason) {
		this.reason = reason;
	}
	/**
	 * @return the needDown
	 */
	public String getNeedDown() {
		return needDown;
	}
	/**
	 * @param needDown the needDown to set
	 */
	public void setNeedDown(String needDown) {
		this.needDown = needDown;
	}

}
